#include<bits/stdc++.h>
using namespace std;
int main()
{
   int t,n,k;
   long long m;
   cin>>t;
   for(int i=0;i<t;i++)
   {
       cin>>n>>m>>k;
       int x,y;
       x= n/k;
       y= n - x*(k-1);
       if((m-x*(k+1)*(x+1)/2) > y*(y+1)/2)
       {
           cout<<"Tak"<<endl;
       }
       else
       {
           cout<<"Nie"<<endl;
       }
   }
    return 0;
}